V1 and V2Product Families

Unlink an attribute from a family

POST
/api/v1/product_families/{product_family_id}/attributes/unlink

Unlink attributes from an existing product family

* The given attributes that belong to the family will be unlinked

This action may cause data loss

Body

ParameterTypeMandatoryDescription
attributeslistyeslist of attributes ids

A 202 ACCEPTED status code is returned upon success.

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_family_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST 'https://example.com/api/v1/product_families/string/attributes/unlink' \  -H 'Content-Type: application/json' \  --data-raw '{  "attributes": [    "attribute1_id"  ]}'
Empty